Provisioning
9 routes de l'API publique. Textes de la source : openapi-csp.json du dépôt platform.
List provisioned msps
GET /provisioning/msps
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
limit | requête | integer | non | Défaut : 50. Valeur : 1 à 100. |
cursor | requête | string | non | Longueur minimum : 1. |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
items | array of object | oui | |
items[].id | string (uuid) | oui | |
items[].name | string | oui | |
items[].status | "active" | "suspended" | "deleted" | oui | |
items[].created_at | string (date-time) | oui | |
next_cursor | string | null | oui |
Provision msp
POST /provisioning/msps
Accès : Clé de provisioning.
Corps de la requête (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
name | string | oui | Longueur : 1 à 100. |
api_key | object | non | |
api_key.name | string | non | Longueur : 1 à 100. |
api_key.scopes | array of "read" | "operate" | "browse" | "recovery" | non | Éléments : 1 à 4. |
api_key.expires_in_days | integer | non | Valeur : 1 à 730. |
api_key.allowed_ips | array of string (ipv4) | string (ipv6) | string (cidrv4) | string (cidrv6) | non | Éléments maximum : 50. |
Réponses
| Code | Description |
|---|---|
201 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 201 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
msp | object | oui | |
msp.id | string (uuid) | oui | |
msp.name | string | oui | |
msp.status | "active" | "suspended" | "deleted" | oui | |
msp.created_at | string (date-time) | oui | |
api_key | object | oui | |
api_key.id | string (uuid) | oui | |
api_key.msp_id | string (uuid) | oui | |
api_key.name | string | oui | |
api_key.prefix | string | oui | |
api_key.scopes | array of "read" | "operate" | "browse" | "recovery" | oui | |
api_key.allowed_ips | array of string | oui | |
api_key.status | "active" | "expired" | "revoked" | oui | |
api_key.created_at | string (date-time) | oui | |
api_key.created_by | object | null | oui | |
api_key.expires_at | string (date-time) | oui | |
api_key.last_used_at | string (date-time) | null | oui | |
api_key.last_used_ip | string | null | oui | |
api_key.revoked_at | string (date-time) | null | oui | |
api_key.rotated_from_id | string (uuid) | null | oui | |
secret | string | oui |
Get provisioned msp
GET /provisioning/msps/{id}
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string (uuid) | oui | |
name | string | oui | |
status | "active" | "suspended" | "deleted" | oui | |
created_at | string (date-time) | oui |
Suspend provisioned msp
POST /provisioning/msps/{id}/suspend
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string (uuid) | oui | |
name | string | oui | |
status | "active" | "suspended" | "deleted" | oui | |
created_at | string (date-time) | oui |
Reactivate provisioned msp
POST /provisioning/msps/{id}/reactivate
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string (uuid) | oui | |
name | string | oui | |
status | "active" | "suspended" | "deleted" | oui | |
created_at | string (date-time) | oui |
List provisioned msp api keys
GET /provisioning/msps/{id}/api-keys
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui | |
limit | requête | integer | non | Défaut : 50. Valeur : 1 à 100. |
cursor | requête | string | non | Longueur minimum : 1. |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
items | array of object | oui | |
items[].id | string (uuid) | oui | |
items[].msp_id | string (uuid) | oui | |
items[].name | string | oui | |
items[].prefix | string | oui | |
items[].scopes | array of "read" | "operate" | "browse" | "recovery" | oui | |
items[].allowed_ips | array of string | oui | |
items[].status | "active" | "expired" | "revoked" | oui | |
items[].created_at | string (date-time) | oui | |
items[].created_by | object | null | oui | |
items[].expires_at | string (date-time) | oui | |
items[].last_used_at | string (date-time) | null | oui | |
items[].last_used_ip | string | null | oui | |
items[].revoked_at | string (date-time) | null | oui | |
items[].rotated_from_id | string (uuid) | null | oui | |
next_cursor | string | null | oui |
Create provisioned msp api key
POST /provisioning/msps/{id}/api-keys
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui |
Corps de la requête (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
name | string | oui | Longueur : 1 à 100. |
scopes | array of "read" | "operate" | "browse" | "recovery" | non | Éléments : 1 à 4. |
expires_in_days | integer | non | Valeur : 1 à 730. |
allowed_ips | array of string (ipv4) | string (ipv6) | string (cidrv4) | string (cidrv6) | non | Éléments maximum : 50. |
Réponses
| Code | Description |
|---|---|
201 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 201 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
api_key | object | oui | |
api_key.id | string (uuid) | oui | |
api_key.msp_id | string (uuid) | oui | |
api_key.name | string | oui | |
api_key.prefix | string | oui | |
api_key.scopes | array of "read" | "operate" | "browse" | "recovery" | oui | |
api_key.allowed_ips | array of string | oui | |
api_key.status | "active" | "expired" | "revoked" | oui | |
api_key.created_at | string (date-time) | oui | |
api_key.created_by | object | null | oui | |
api_key.expires_at | string (date-time) | oui | |
api_key.last_used_at | string (date-time) | null | oui | |
api_key.last_used_ip | string | null | oui | |
api_key.revoked_at | string (date-time) | null | oui | |
api_key.rotated_from_id | string (uuid) | null | oui | |
secret | string | oui |
Rotate provisioned msp api key
POST /provisioning/msps/{id}/api-keys/{key_id}/rotate
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui | |
key_id | chemin | string (uuid) | oui |
Corps de la requête (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
expires_in_days | integer | non | Valeur : 1 à 730. |
Réponses
| Code | Description |
|---|---|
201 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 201 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
api_key | object | oui | |
api_key.id | string (uuid) | oui | |
api_key.msp_id | string (uuid) | oui | |
api_key.name | string | oui | |
api_key.prefix | string | oui | |
api_key.scopes | array of "read" | "operate" | "browse" | "recovery" | oui | |
api_key.allowed_ips | array of string | oui | |
api_key.status | "active" | "expired" | "revoked" | oui | |
api_key.created_at | string (date-time) | oui | |
api_key.created_by | object | null | oui | |
api_key.expires_at | string (date-time) | oui | |
api_key.last_used_at | string (date-time) | null | oui | |
api_key.last_used_ip | string | null | oui | |
api_key.revoked_at | string (date-time) | null | oui | |
api_key.rotated_from_id | string (uuid) | null | oui | |
secret | string | oui |
Revoke provisioned msp api key
DELETE /provisioning/msps/{id}/api-keys/{key_id}
Accès : Clé de provisioning.
Paramètres
| Nom | Emplacement | Type | Obligatoire | Description |
|---|---|---|---|---|
id | chemin | string (uuid) | oui | |
key_id | chemin | string (uuid) | oui |
Réponses
| Code | Description |
|---|---|
200 | Success |
default | Error (400, 401, 403, 404, 409, 415, 422, 429, 500, 502, 503 or 504) |
Réponse 200 (application/json)
| Nom | Type | Obligatoire | Description |
|---|---|---|---|
id | string (uuid) | oui | |
msp_id | string (uuid) | oui | |
name | string | oui | |
prefix | string | oui | |
scopes | array of "read" | "operate" | "browse" | "recovery" | oui | |
allowed_ips | array of string | oui | |
status | "active" | "expired" | "revoked" | oui | |
created_at | string (date-time) | oui | |
created_by | object | null | oui | |
expires_at | string (date-time) | oui | |
last_used_at | string (date-time) | null | oui | |
last_used_ip | string | null | oui | |
revoked_at | string (date-time) | null | oui | |
rotated_from_id | string (uuid) | null | oui |